﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CnetSDK.PDFBarcode.Generator.Trial.Barcode;
using CnetSDK.PDFBarcode.Generator.Trial.Drawing;
using CnetSDK.PDFBarcode.Generator.Trial.Pdf;

namespace CnetSDK.PDFBarcode.Generator.Trial.Demo
{
    class PDFBarcodeGeneratorDemo
    {
        public static void CreateCode128OnPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.Code128;

            barcode.BarcodeData = "www.cnetsdk.com";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.BarcodeLocation = new CSPosition(150, 250);

            barcode.BarcodeSize = new CSSize(200, 100);

            barcode.DisplayText = true;

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }
        public static void CreatePDF417ToPDF()
        {
            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.PDF417;

            barcode.BarcodeData = "CnetSDK123456789";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.PDF417Truncated = false;

            barcode.BarcodeLocation = new CSPosition(70, 50);

            barcode.BarcodeSize = new CSSize(200, 100);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateCode39ToPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.Code39;

            barcode.BarcodeData = "CnetSDK";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.DisplayText = true;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 50);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateEAN13ToPDF()
        {
            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.EAN13;

            barcode.BarcodeData = "168861168861";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.DisplayText = true;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 50);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateUPCAToPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.UPCA;

            barcode.BarcodeData = "0123456789";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.DisplayText = true;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 50);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateAztecToPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.Aztec;

            barcode.BarcodeData = "CnetSDK123456789";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.AztecCodeLayer = LayerMode.Default;

            barcode.AztecCodeErrorCorrection = 50;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 200);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateQRCodeToPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.QRCode;

            barcode.BarcodeData = "CnetSDK123456789";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.QRCodeErrorCorrectionLevel = ECLMode.L;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 200);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }

        public static void CreateDataMatrixToPDF()
        {

            PdfFile File = new PdfFile();

            PdfFilePage FilePage = File.CreatePage();

            CSImage Graphics = CSImage.FromFilePage(FilePage);

            CSBarcodeOnPdf barcode = new CSBarcodeOnPdf();

            barcode.BarcodeType = CSBarcodeType.DataMatrix;

            barcode.BarcodeData = "CnetSDK123456789";

            barcode.BarColor = CSColor.Black;
            barcode.BackgroundColor = CSColor.White;

            barcode.DataMatrixSymbolShape = ShapeMode.Auto;

            barcode.BarcodeLocation = new CSPosition(100, 100);

            barcode.BarcodeSize = new CSSize(200, 200);

            barcode.CreateBarcode(Graphics);

            File.Save("CnetSDK.pdf");
            Process.Start("CnetSDK.pdf");

        }
       
    }
}
